# $Revision: 1.27 $, $Date: 2009/11/12 09:41:38 $
Summary:	X Damage extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X Damage
Name:		xorg-lib-libXdamage
Version:	1.1.2
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXdamage-%{version}.tar.bz2
# Source0-md5:	b42780bce703ec202a33e5693991c09d
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-proto-damageproto-devel >= 1.1
BuildRequires:	xorg-util-util-macros >= 1.3
Obsoletes:	libXdamage
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Damage extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X Damage.

%package devel
Summary:	Header files for libXdamage library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXdamage
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXfixes-devel
Requires:	xorg-proto-damageproto-devel >= 1.1
Obsoletes:	libXdamage-devel

%description devel
X Damage extension library.

This package contains the header files needed to develop programs that
use libXdamage.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X Damage.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXdamage.

%package static
Summary:	Static libXdamage library
Summary(pl.UTF-8):	Biblioteka statyczna libXdamage
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXdamage-static

%description static
X Damage extension library.

This package contains the static libXdamage library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X Damage.

Pakiet zawiera statyczną bibliotekę libXdamage.

%prep
%setup -q -n libXdamage-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libXdamage.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXdamage.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXdamage.so
%{_libdir}/libXdamage.la
%{_includedir}/X11/extensions/Xdamage.h
%{_pkgconfigdir}/xdamage.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXdamage.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXdamage.spec,v $
Revision 1.27  2009/11/12 09:41:38  patrys
- rebuild
- rel 2

Revision 1.26  2009/10/06 20:35:10  qboosh
- verbose file

Revision 1.25  2009/10/06 20:21:27  qboosh
- util-macros version
- added NEWS and README to doc
- ghost soname symlink

Revision 1.24  2009/10/06 18:43:05  arekm
- up to 1.1.2

Revision 1.23  2008/11/05 23:28:58  arekm
- release 2

Revision 1.22  2007/03/14 19:17:13  arekm
- up to 1.1.1

Revision 1.21  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.19  2007/01/15 18:43:12  qboosh
- updated to 1.1

Revision 1.18  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.17  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.16  2006/11/08 15:34:49  arekm
- up to 1.0.4

Revision 1.15  2006/04/27 06:49:52  arekm
- up to 1.0.3

Revision 1.14  2006/03/08 22:04:43  qboosh
- release 1

Revision 1.13  2005/12/28 11:02:27  qboosh
- sources from X11R7.0 release

Revision 1.12  2005/12/20 12:19:40  qboosh
- 1.0.2.2 (X11R7.0-RC4)

Revision 1.11  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.10  2005/12/04 10:55:22  qboosh
- 1.0.2.1 (X11R7.0-RC3)

Revision 1.9  2005/11/19 18:50:30  qboosh
- 1.0.2 (X11R7.0-RC2)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/20 19:03:04  qboosh
- switched to 1.0.1 from X11R7.0-RC1
- more docs, added version to damageproto deps

Revision 1.6  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.5  2005/08/27 18:46:09  qboosh
- just name in BuildRoot

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.10  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

Revision 1.9  2005/05/01 10:21:25  qboosh
- updated Source URL, unified URL

Revision 1.8  2004/05/22 22:49:50  qboosh
- unifications, added versions to damageext and ac deps
- removed empty files and bogus README from doc

Revision 1.7  2004/03/12 07:48:10  ankry
- pl

Revision 1.6  2004/03/10 10:53:53  pluto
- BR:, R:, cosmetics.

Revision 1.5  2004/03/07 16:54:14  pluto
- R:, release 3.

Revision 1.4  2004/03/05 00:06:40  adgor
- Rel++

Revision 1.3  2004/03/04 21:23:32  adgor
- Added two lines with define

Revision 1.2  2004/03/03 11:48:11  adgor
- Changelog cutting

Revision 1.1  2004/03/03 11:43:58  adgor
- Initial
